MapTileSource={}

MapTileSource.Mapnik={
 filetype=".png",
 code="OM",
 getUrl=function (tx,ty,tz)
	return "http://tile.openstreetmap.org/"..tostring(tz).."/"..tostring(tx).."/"..tostring(ty)..".png"
 end
}

local function googleTile(tx,ty,tz,type)
local sv=math.random(4)-1
 return "http://mt"..tostring(sv)..".google.com/vt/lyrs="..type..
        "&hl=fr&src=api&x="..tostring(tx)..
		"&y="..tostring(ty)..
		"&z="..tostring(tz).."&s=";
end

MapTileSource.GoogleHybrid={
 filetype=".jpg",
 code="GH",
 getUrl=function (tx,ty,tz)
	return googleTile(tx,ty,tz,"y")
 end
}

MapTileSource.GoogleSatellite={
 filetype=".jpg",
 code="GS",
 getUrl=function (tx,ty,tz)
	return googleTile(tx,ty,tz,"s")
 end
}

MapTileSource.GoogleRoad={
 filetype=".png",
 code="GR",
 getUrl=function (tx,ty,tz)
	return googleTile(tx,ty,tz,"m")
 end
}

MapTileSource.GoogleTerrain={
 filetype=".png",
 code="GT",
 getUrl=function (tx,ty,tz)
	return googleTile(tx,ty,tz,"p")
 end
}
